1. Web Visits
Leadfeeder API (BETA)
  • Introduction
  • Authentication
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • Account
    • List Accounts
  • Companies
    • Get Company Details
    • Retrieve Companies
    • Company Financial Reports
    • Search Company Signals
    • Search Companies
    • Match Companies
    • Add Company to Lists
    • Remove Company from Lists
    • Assign Tags to Company
    • Unassign Tags from Company
  • Contacts
    • Get Contact Details
    • Retrieve Contacts
    • Search Contacts
    • Add Contact to Lists
    • Remove Contact from Lists
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
      POST
    • Retrieve Custom Feeds
      GET
    • Create a Custom Feed
      POST
    • Get Custom Feed Details
      GET
    • Update Custom Feed
      PATCH
    • Delete a Custom Feed
      DELETE
    • Retrieve Custom Feeds Folders
      GET
    • Retrieve Web Visits Tracker Script
      GET
    • Retrieve Visitor Companies
      GET
  • IP
    • Enrich Company IP Address
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Usage
    • Get Endpoints Usage
  • Reference Data
    • List of NACE / WZ codes
  • Schemas
    • Schemas
    • Response
    • AccountResponse
    • VisitLocationV1
    • IcpV1
    • LocationV1
    • CRMUserV1
    • CRMOrganizationV1
    • CRMContactV1
    • CRMLeadV1
    • WebVisitV1
    • CRMConnectionV1
    • BuyerPersonaV1
    • CRMSuggestionV1
    • IpLocationV1
    • CRMGroupConnectionV1
    • CustomFeedRequestV1
    • AccountV1
    • MaskedContactSummaryV1
    • CustomFeedV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • CompanyLocationV1
    • Error401
    • AccountSummaryV1
    • Error403
    • ErrorObjectV1
    • MaskedCompanySummaryV1
    • CompanyV1
    • Error429
    • NetworkV1
    • CompanyFinancialsV1
    • Error404
    • Error500
    • SignalV1
    • Error504
    • CompanyResponse
    • CompanySummaryV1
    • CompaniesResponse
    • CompanyFinancialsResponse
    • CompaniesSignalsResponse
    • CompaniesSearchResponse
    • TagV1
    • ListV1
    • CompanyMatchV1
    • ContactResponse
    • CustomFieldV1
    • ContactV1
    • ContactsResponse
    • ContactSummaryV1
    • ContactsSummaryResponse
    • EnrichedIpV1
    • IpEnrichResponse
    • TagsResponse
    • ListsResponse
    • ApiUsageV1
    • ApiUsageResponse
    • Error400
    • TagResponse
    • ListResponse
    • TagDeleteResponse
    • ListDeleteResponse
    • EmptySuccessResponse
    • CustomFieldsResponse
    • CustomFieldResponse
  1. Web Visits

Retrieve Visitor Companies

GET
/v1/web-visits/companies
Retrieve a paginated list of companies that visited your website within a given date range. Each item includes references to the company and its inferred geographic location.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Responses

🟢200OK
application/json
Success
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429
🔴500Server Error
🔴504Gateway Timeout
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://api.leadfeeder.com/v1/web-visits/companies?account_id=123456&start_date=2026-01-01&end_date=2026-01-31&page[num]=1&page[size]=20&custom_feed_id=abc123def456&include=company' \
--header 'X-Api-Key: <api-key>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "type": "company_location",
            "id": "5b4f313e-46de-11e8-b981-05bebed8e58b",
            "relationships": {
                "company": {
                    "id": "129011",
                    "type": "company"
                },
                "location": {
                    "type": "location",
                    "id": "6xeTMh2VfiAzFd86n7GNJ3",
                    "attributes": {
                        "country": "Finland",
                        "country_code": "FI",
                        "region": "Uusimaa",
                        "region_code": "FI-18",
                        "city": "Helsinki",
                        "geonames_id": "658225",
                        "state_code": "FI-18"
                    }
                }
            }
        }
    ],
    "meta": {
        "pagination": {
            "page_num": 1,
            "page_count": 1,
            "total_count": 1
        },
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
Modified at 2026-04-14 13:35:01
Previous
Retrieve Web Visits Tracker Script
Next
Enrich Company IP Address
Built with